Update Product Modifier Value

Updates a modifier value. **Required Fields** * none **Read-Only Fields** * id

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idstringRequired
modifier_idstringRequired
value_idstringRequired

Request

This endpoint expects an object.
labelstringRequired

The text display identifying the value on the storefront. Required in a /POST.

sort_orderintegerRequired-2147483648-2147483647

The order in which the value will be displayed on the product page. Required in a /POST.

idintegerOptional

The unique numeric ID of the value; increments sequentially.

is_defaultbooleanOptional

The flag for preselecting a value as the default on the storefront. This field is not supported for swatch options/modifiers.

value_dataobjectOptional

Extra data describing the value, based on the type of option or modifier with which the value is associated. See Option Values for more details.

adjustersobjectOptional

Response

dataobject

Product modifier option_value.

metaobject
Response metadata.

Errors

422
Unprocessable Entity Error